Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2149246
Latest Workstation live x86_64 image has an excess increase of ~300 MB in size. This is because kdumpbase module's trap handler overwrites dracut's handler and DRACUT_TMPDIR which has three unpacked initramfs files fails to be cleaned up. This patch moves kdumpbase module's temporary folder under DRACUT_TMPDIR and lets dracut's trap handler do the cleanup instead.
Fixes: d25b1ee3 ("Add functions to copy NetworkManage connection profiles to the initramfs") Signed-off-by: Coiby Xu coxu@redhat.com --- dracut-module-setup.sh | 9 +-------- 1 file changed, 1 insertion(+), 8 deletions(-)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh index 1fa2a789..13e99015 100755 --- a/dracut-module-setup.sh +++ b/dracut-module-setup.sh @@ -1,6 +1,6 @@ #!/bin/bash
-_DRACUT_KDUMP_NM_TMP_DIR="/tmp/$$-DRACUT_KDUMP_NM" +_DRACUT_KDUMP_NM_TMP_DIR="$DRACUT_TMPDIR/$$-DRACUT_KDUMP_NM"
_save_kdump_netifs() { unique_netifs[$1]=1 @@ -10,13 +10,6 @@ _get_kdump_netifs() { echo -n "${!unique_netifs[@]}" }
-cleanup() { - rm -rf "$_DRACUT_KDUMP_NM_TMP_DIR" -} - -# shellcheck disable=SC2154 # known issue of shellcheck https://github.com/koalaman/shellcheck/issues/1299 -trap 'ret=$?; cleanup; exit $ret;' EXIT - kdump_module_init() { if ! [[ -d "${initdir}/tmp" ]]; then mkdir -p "${initdir}/tmp"
On Tue, 6 Dec 2022 19:08:13 +0800 Coiby Xu coxu@redhat.com wrote:
Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2149246
Latest Workstation live x86_64 image has an excess increase of ~300 MB in size. This is because kdumpbase module's trap handler overwrites dracut's handler and DRACUT_TMPDIR which has three unpacked initramfs files fails to be cleaned up. This patch moves kdumpbase module's temporary folder under DRACUT_TMPDIR and lets dracut's trap handler do the cleanup instead.
Fixes: d25b1ee3 ("Add functions to copy NetworkManage connection profiles to the initramfs") Signed-off-by: Coiby Xu coxu@redhat.com
That's definitely something to remember next time...
Reviewed-by: Philipp Rudo prudo@redhat.com
dracut-module-setup.sh | 9 +-------- 1 file changed, 1 insertion(+), 8 deletions(-)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh index 1fa2a789..13e99015 100755 --- a/dracut-module-setup.sh +++ b/dracut-module-setup.sh @@ -1,6 +1,6 @@ #!/bin/bash
-_DRACUT_KDUMP_NM_TMP_DIR="/tmp/$$-DRACUT_KDUMP_NM" +_DRACUT_KDUMP_NM_TMP_DIR="$DRACUT_TMPDIR/$$-DRACUT_KDUMP_NM"
_save_kdump_netifs() { unique_netifs[$1]=1 @@ -10,13 +10,6 @@ _get_kdump_netifs() { echo -n "${!unique_netifs[@]}" }
-cleanup() {
- rm -rf "$_DRACUT_KDUMP_NM_TMP_DIR"
-}
-# shellcheck disable=SC2154 # known issue of shellcheck https://github.com/koalaman/shellcheck/issues/1299 -trap 'ret=$?; cleanup; exit $ret;' EXIT
kdump_module_init() { if ! [[ -d "${initdir}/tmp" ]]; then mkdir -p "${initdir}/tmp"
On Wed, Dec 07, 2022 at 09:14:56AM +0100, Philipp Rudo wrote:
On Tue, 6 Dec 2022 19:08:13 +0800 Coiby Xu coxu@redhat.com wrote:
Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2149246
Latest Workstation live x86_64 image has an excess increase of ~300 MB in size. This is because kdumpbase module's trap handler overwrites dracut's handler and DRACUT_TMPDIR which has three unpacked initramfs files fails to be cleaned up. This patch moves kdumpbase module's temporary folder under DRACUT_TMPDIR and lets dracut's trap handler do the cleanup instead.
Fixes: d25b1ee3 ("Add functions to copy NetworkManage connection profiles to the initramfs") Signed-off-by: Coiby Xu coxu@redhat.com
That's definitely something to remember next time...
Reviewed-by: Philipp Rudo prudo@redhat.com
Patch merged, thanks for the review!
dracut-module-setup.sh | 9 +-------- 1 file changed, 1 insertion(+), 8 deletions(-)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh index 1fa2a789..13e99015 100755 --- a/dracut-module-setup.sh +++ b/dracut-module-setup.sh @@ -1,6 +1,6 @@ #!/bin/bash
-_DRACUT_KDUMP_NM_TMP_DIR="/tmp/$$-DRACUT_KDUMP_NM" +_DRACUT_KDUMP_NM_TMP_DIR="$DRACUT_TMPDIR/$$-DRACUT_KDUMP_NM"
_save_kdump_netifs() { unique_netifs[$1]=1 @@ -10,13 +10,6 @@ _get_kdump_netifs() { echo -n "${!unique_netifs[@]}" }
-cleanup() {
- rm -rf "$_DRACUT_KDUMP_NM_TMP_DIR"
-}
-# shellcheck disable=SC2154 # known issue of shellcheck https://github.com/koalaman/shellcheck/issues/1299 -trap 'ret=$?; cleanup; exit $ret;' EXIT
kdump_module_init() { if ! [[ -d "${initdir}/tmp" ]]; then mkdir -p "${initdir}/tmp"